mpt_base_reply
Prev | Fusion message devices | Next

## Name

mpt_base_reply — MPT base driver's callback routine

## Synopsis

`int mpt_base_reply (` | MPT_ADAPTER * | ioc,
| MPT_FRAME_HDR * | mf,
| MPT_FRAME_HDR * | reply`)`;

## Arguments

`ioc`

  Pointer to MPT_ADAPTER structure

`mf`

  Pointer to original MPT request frame

`reply`

  Pointer to MPT reply frame (NULL if TurboReply)

## Description

MPT base driver's callback routine; all base driver “internal” request/reply processing is routed here. Currently used for EventNotification and EventAck handling.

Returns 1 indicating original alloc'd request frame ptr should be freed, or 0 if it shouldn't.

Prev | Up | Next
mpt_interrupt | Home | mpt_host_page_access_control